using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.IO;
using System.Runtime.ExceptionServices;
using System.Security.Permissions;
using UnityEngine;
using UnityEngine.Events;

namespace Weapons
{
    public class Weapons
    {
        public static void Main()
        {
            CategoryBuilder.Create("Iraq War", "Iraq War items.", ModAPI.LoadSprite("Hijab.png"));
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "US Navy SEAL",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/US Navy SEAL.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Human/US Navy SEAL.png");
                        var flesh = ModAPI.LoadTexture("Human/flesh layer.png");
                        var bone = ModAPI.LoadTexture("Human/bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Polish forces",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/Polish forces.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Human/Polish forces.png");
                        var flesh = ModAPI.LoadTexture("Human/flesh layer.png");
                        var bone = ModAPI.LoadTexture("Human/bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Terrorist",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/Terrorist.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Human/Terrorist.png");
                        var flesh = ModAPI.LoadTexture("Human/flesh layer.png");
                        var bone = ModAPI.LoadTexture("Human/bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Terrorist 2",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/Terrorist 2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Human/Terrorist 2.png");
                        var flesh = ModAPI.LoadTexture("Human/flesh layer.png");
                        var bone = ModAPI.LoadTexture("Human/bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Terrorist 3",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/Terrorist 3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Human/Terrorist 3.png");
                        var flesh = ModAPI.LoadTexture("Human/flesh layer.png");
                        var bone = ModAPI.LoadTexture("Human/bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "US Navy SEAL Helmet 1",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/US Navy SEAL Helmet 1.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/US Navy SEAL Helmet 1.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "US Navy SEAL Helmet 2",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/US Navy SEAL Helmet 2.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/US Navy SEAL Helmet 2.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "US Navy SEAL NV",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/US Navy SEAL NV.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/US Navy SEAL NV.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "UN helmet",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/UN helmet.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/UN helmet.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "US Navy SEAL Armor top",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/US Armor top.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/US Armor top.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "US Navy SEAL Armor middle",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/US Armor middle.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/US Armor middle.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Bomb Vest top",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/bobmvest.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/bobmvest.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Dynamite"),
                    NameOverride = "Bomb Vest middle",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/bombvest2.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/bombvest2.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 25f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Soap"),
                    NameOverride = "Brown Hijab",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/Hijab.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/Hijab.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Soap"),
                    NameOverride = "White Hijab",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/White Hijab.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/White Hijab.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Soap"),
                    NameOverride = "Red Hijab",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/Red Hijab.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/Red Hijab.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Soap"),
                    NameOverride = "Desert Scarf",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/Desert Scarf.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/Desert Scarf.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Soap"),
                    NameOverride = "Black Scarf",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/Black Scarf.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/Black Scarf.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
            ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Dynamite"),
                        NameOverride = "Handsome bobm",
                        NameToOrderByOverride = "IW",
                        DescriptionOverride = " ",
                        CategoryOverride = ModAPI.FindCategory("Iraq War"),
                        ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/handsome bobm.png"),
                        AfterSpawn = (Instance) =>
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/handsome bobm.png", 1f);
                             foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        }
                    }
                );
                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                        NameOverride = "DSHK tripod",
                        NameToOrderByOverride = "IW",
                        DescriptionOverride = " ",
                        CategoryOverride = ModAPI.FindCategory("Iraq War"),
                        ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/DSHK tripod.png"),
                        AfterSpawn = (Instance) =>
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/DSHK tripod.png", 1f);
                             foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        }
                    }
                );
                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                        NameOverride = "M2 tripod",
                        NameToOrderByOverride = "IW",
                        DescriptionOverride = " ",
                        CategoryOverride = ModAPI.FindCategory("Iraq War"),
                        ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/m2tripod.png"),
                        AfterSpawn = (Instance) =>
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/m2tripod.png", 1f);
                             foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        }
                    }
                );
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Grenade Launcher"),
                    NameOverride = "Gp-25",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/gp-25.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/gp-25.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.25f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/fffff.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Grenade Launcher"),
                    NameOverride = "MK19",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/mk19.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/mk19.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/AK47.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "Shorty",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/shorty.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/shorty.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 3; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/FFFF.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "SP556",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/SP556.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/SP556.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/AK47.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "ScarH",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/ScarH.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/ScarH.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/AK47.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "P416",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/P416.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/P416.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/AK47.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "MK14ebr",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/mk14ebr.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/mk14ebr.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/AK47.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "M2",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/m2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/m2.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/AK47.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "L86",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/l86.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/l86.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/AK47.mp3"),
                        };
				    }
				}
            );
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "AK47",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/AK47.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/AK47.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/AK47.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "AK74",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/AK74.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/AK74.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/AK74.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "RPK",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/RPK.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/RPK.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/ffff.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "Val",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/val.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/val.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Silenced 1.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "FAL",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/FAL.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/FAL.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/fff.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "DSHK",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/DSHK.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/DSHK.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.55f, 0.06f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/DSHK.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "Mosscorp",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/mosscorp.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/mosscorp.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 2; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/mosscorp.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "TAC-338",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/TAC-338.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/TAC-338.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.65f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/fff.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "Vss",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/vss.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/vss.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Silenced 1.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "M4A1",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/M4A1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/M4A1.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.1f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/M4A1.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "AKS",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/AKS.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/AKS.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.55f, 0.13f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/AKS.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "M110",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/M110.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/M110.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.45f, 0.05f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Alternator.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "PKM",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/PKM.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/PKM.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.75f, 0.07f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/PKM.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"),
                    NameOverride = "M249",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/M249.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/M249.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.65f, 0.06f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Alternator.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "M40",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/M40.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/M40.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.55f, 0.05f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Hunting rifle.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "Barret m82",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/Barret m82.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/Barret m82.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.65f, 0.05f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Barret m82.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "SVD",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/SVD.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/SVD.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.65f, 0.05f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/SVD.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rocket Launcher"),
                    NameOverride = "RPG",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/RPG.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/RPG.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.25f, 0.15f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Alternator.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rocket Launcher"),
                    NameOverride = "SMAW",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/SMAW.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/SMAW.png", 0.9f);
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.25f, 0.15f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Alternator.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "Glock16",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/Glock16.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/Glock16.png", 0.9f);
                  

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Alternator.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "Colt M1911",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/Colt M1911.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/Colt M1911.png", 0.9f);
                       

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Alternator.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "PM",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/PM.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/PM.png", 0.9f);
     

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Alternator.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Revolver"),
                    NameOverride = "s&w 500 cal.",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/s&w 500 cal..png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/s&w 500 cal..png", 0.9f);
 

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Alternator.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "Astra A-60",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/Astra A-60.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/Astra A-60.png", 0.9f);
   

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = false; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/Alternator.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "UZI",
                    NameToOrderByOverride = "IW",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory("Iraq War"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/UZI.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/UZI.png", 0.9f);
      

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
			            Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Alternator"; //Имя
                        customCartridge.Damage *= 0.5f; //Урон
                        customCartridge.StartSpeed *= 3.0f; //Скорость пули
                        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f; //Точность через объекты
                        customCartridge.Recoil *= 0.2f; //Отдача
                        customCartridge.ImpactForce *= 0.2f; //Насколько сильно оттолкнет объект
			            firearm.Cartridge = customCartridge;    
                        firearm.BulletsPerShot = 1; //Пуль за выстрел
                        firearm.AutomaticFireInterval = 0.08f; //Х*й знает
                        firearm.Automatic = true; // 
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                        phys.TrueInitialMass = 0.10f;
                        phys.InitialMass = 0.10f;
                        phys.rigidbody.mass = 0.10f;
                        firearm.InitialInaccuracy = 0f; //Разброс
                        
			            firearm.ShotSounds = new AudioClip[]
						{
                           ModAPI.LoadSound("Sound/UZI.mp3"),
                        };
				    }
				}
            );
            ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                        NameOverride = "American flag",
                        NameToOrderByOverride = "IW",
                        DescriptionOverride = " ",
                        CategoryOverride = ModAPI.FindCategory("Iraq War"),
                        ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/americanflag.png"),
                        AfterSpawn = (Instance) =>
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/americanflag.png", 1f);
                             foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        }
                    }
                );
                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                        NameOverride = "Detonator",
                        NameToOrderByOverride = "IW",
                        DescriptionOverride = " ",
                        CategoryOverride = ModAPI.FindCategory("Iraq War"),
                        ThumbnailOverride = ModAPI.LoadSprite("Thumbnail/detonator.png"),
                        AfterSpawn = (Instance) =>
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Objects/detonator.png", 1f);
                             foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<PolygonCollider2D>();        
                        }
                    }
                );
        }
    }
}